﻿@model Tuple<UserView, List<UserUDFView>, List<SAPObjectView>>
@{
    ViewBag.Title = "_UserUDF";
    Layout = "~/Views/Shared/_Layout.cshtml";
    bool _AssignUDF = ((UserView)Session["UserLogin"]).ListUserPageAction.Where(c => c.PageInternalKey == Enums.Pages.ABMUsers.ToDescriptionString() && c.InternalKey == Enums.Actions.AsigCompany.ToDescriptionString()).FirstOrDefault() != null ? true : false;
    bool _AssignUDFInt = (((UserView)Session["UserLogin"]).Name.ToUpper() == Model.Item1.Name.ToUpper() ? (((UserView)Session["UserLogin"]).IsAdmin == true ? false : _AssignUDF) : _AssignUDF);
}

<h1 class="page-header">@ViewBag.Tite</h1>

<script type="text/javascript">
    var CountCompAv = '@ViewBag.CountCompAv';
</script>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Users.USR</h3>
    </div>
    <div class="panel-body">
        <label class="col-md-4 control-label" id="REQ" style="display:none">@Users.REQ</label>
        <div class="form-group">
            <label class="col-md-4 control-label" id="lblName">@Users.Name: @Model.Item1.Name</label>
        </div>
    </div>
</div>
@if (_AssignUDF && _AssignUDFInt)
{
    <div class="panel panel-default">
        <div class="panel-heading clearfix">
            <h3 class="panel-title">UDF @Users.Configuration</h3>
        </div>
        <div class="panel-body">
            <div class="form-horizontal row-border">
                <div class="form-group">
                    <label class="col-md-4 control-label">@Users.Companies</label>
                    <div class="col-md-8">
                        <div id="LoadingCompanies" style="display:none">
                            <img src="~/Content/img/fountain.GIF" />
                        </div>
                        @Html.DropDownListFor(model => model.Item1.IdSelector, new SelectList(
                        ViewBag.CompAv,
                       "IdCompany",
                       "CompanyDB",
                        Model.Item1.IdSelector), new { @Id = "CompAV", @class = "form-control" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-4 control-label">@Users.Document</label>
                    <div class="col-md-8">
                        <div id="LoadingDocument" style="display:none">
                            <img src="~/Content/img/fountain.GIF" />
                        </div>
                        @Html.DropDownList("DocumentSelect", new SelectList(
                        Model.Item3,
                        "ObjectTable",
                        "ObjectName"), new { @Id = "DocumentSelect", @class = "form-control" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-md-4 control-label">UDF</label>
                    <div class="col-md-8">
                        <div id="LoadingUDF" style="display:none">
                            <img src="~/Content/img/fountain.GIF" />
                        </div>
                        @Html.DropDownList("UDFSelect", new SelectList(new List<UDF_SAP>()), new { @Id = "UDFSelect", @class = "form-control" })
                    </div>
                </div>
                <div class="clear2"> </div>
                <div class="divider"> </div>

                <div class="form-group">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <button id="AddtoList" type="button" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-plus"></span> @Users.UCADDL</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @Html.HiddenFor(c => c.Item1.IdUser, new { @Id = "IdUser", @Name = "IdUser" })
}

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Users.Added UDF</h3>
    </div>
    <div class="panel-body" id="UDFTableContainer">
        @Html.Partial("_UDFTable", Tuple.Create((List<CompanyView>)ViewBag.CompAv, Model.Item2, Model.Item3))
    </div>
</div>
@if (_AssignUDF)
{
    <div class="but_blok_footer">
        <div class="col-md-12">
            @Html.ActionLink(@Users.Cancel, "Index", "Users", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
        </div>
    </div>
}

<input type="hidden" name="Pagekey" id="Pagekey" value="@ViewBag.PageKey" />

@Scripts.Render("~/bundles/UserUDF")


